with GNATCOM.Dispinterface;

package MSHTML.DispHTMLStyleSheet_Object is

   type DispHTMLStyleSheet_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_title
     (This : DispHTMLStyleSheet_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_title
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_parentStyleSheet
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_owningElement
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_disabled
     (This : DispHTMLStyleSheet_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_disabled
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_readOnly
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_imports
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_href
     (This : DispHTMLStyleSheet_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_href
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_type
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_id
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function addImport
     (This    : DispHTMLStyleSheet_Type;
      bstrURL : GNATCOM.Types.VARIANT;
      lIndex  : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function addRule
     (This         : DispHTMLStyleSheet_Type;
      bstrSelector : GNATCOM.Types.VARIANT;
      bstrStyle    : GNATCOM.Types.VARIANT;
      lIndex       : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free         : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure removeImport
     (This   : DispHTMLStyleSheet_Type;
      lIndex : GNATCOM.Types.VARIANT;
      Free   : Boolean := True);

   procedure removeRule
     (This   : DispHTMLStyleSheet_Type;
      lIndex : GNATCOM.Types.VARIANT;
      Free   : Boolean := True);

   procedure Put_media
     (This : DispHTMLStyleSheet_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_media
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_cssText
     (This : DispHTMLStyleSheet_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_cssText
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_rules
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_pages
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function addPageRule
     (This         : DispHTMLStyleSheet_Type;
      bstrSelector : GNATCOM.Types.VARIANT;
      bstrStyle    : GNATCOM.Types.VARIANT;
      lIndex       : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free         : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure Put_ie8_href
     (This : DispHTMLStyleSheet_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_ie8_href
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_isAlternate
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_isPrefAlternate
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_ie9_type
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_ie9_href
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_ie9_title
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_ownerNode
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_ownerRule
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_cssRules
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function Get_ie9_media
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

   function insertRule
     (This     : DispHTMLStyleSheet_Type;
      bstrRule : GNATCOM.Types.VARIANT;
      lIndex   : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free     : Boolean := True)
     return GNATCOM.Types.VARIANT;

   procedure deleteRule
     (This   : DispHTMLStyleSheet_Type;
      lIndex : GNATCOM.Types.VARIANT
        := GNATCOM.Types.VARIANT_MISSING;
      Free   : Boolean := True);

   function Get_constructor
     (This : DispHTMLStyleSheet_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.DispHTMLStyleSheet_Object;

